LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XSolverDescription Interface Reference

gives access to user-visible strings for a solver. More...

`import"XSolverDescription.idl";`

Inheritance diagram for XSolverDescription:

## Public Member Functions
string | getPropertyDescription ([in] string aPropertyName)
| returns a short description for a property in the component's com::sun::star::beans::XPropertySet interface. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Public Attributes
string | ComponentDescription
| A user-visible name of the component. More...
string | StatusDescription
| After calling solve, a message describing the status (explaining why no solution was found). More...

## Detailed Description

gives access to user-visible strings for a solver.

## Member Function Documentation

## ◆ getPropertyDescription()

string getPropertyDescription | ( | [in] string | aPropertyName | ) |

returns a short description for a property in the component's com::sun::star::beans::XPropertySet interface.

## Member Data Documentation

## ◆ ComponentDescription

string ComponentDescription
| attribute readonly

A user-visible name of the component.

## ◆ StatusDescription

string StatusDescription
| attribute readonly

After calling solve, a message describing the status (explaining why no solution was found).

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSolverDescription.idl